Import Lambda

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Using this API, you can import already deployed contracts that will be managed by the MetaKeep Lambda Infrastructure. This can be used to import contracts that you have already deployed or to import popular contracts like Uniswap, Aave, USDC, etc.

You can find an end-to-end working demo for lambda import here.

📘

Note that imported contracts are only supported with the BUSINESS_WALLET

🚧

Api Error Status

You can find error status returned by the api here.

© Copyright 2024, Passbird Research Inc.

Body Params
string
required

Hex encoded lambda contract address.

string
required

Name of the lambda.

json
required
Defaults to [{ "inputs": [ { "internalType": "string", "name": "_greeting", "type": "string" } ], "name": "setGreeting", "outputs": [], "stateMutability": "nonpayable", "type": "function", "signature": "0xa4136862" }]

Smart Contract ABI. You get this after compiling your smart contract using hardhat or truffle.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json